'use strict';

var _graphql = require('graphql');

module.exports = new _graphql.GraphQLObjectType({
  name: 'PageInfo',
  description: 'Information about current page',
  fields: () => ({
    startCursor: {
      type: _graphql.GraphQLString
    },
    endCursor: {
      type: _graphql.GraphQLString
    },
    hasNextPage: {
      type: _graphql.GraphQLBoolean
    },
    hasPreviousPage: {
      type: _graphql.GraphQLBoolean
    }
  })
});